<div class="col-g-12">
    <div class="ui-g-12">
      <div class="ui-g-12">
        <button
          pButton
          type="submit"
          label="Filter"
          icon="fa-filter"
          class="ui-button-primary flat-label-button"
          (click)="filter()"
        ></button>
      </div>
      <div class="ui-g-12">
        <p-tabView>
          <p-tabPanel header="New">
            <form name="searchForm" class="form-inline">
              <div class="input-group w-100 mt-3">
                <input
                  type="text"
                  class="form-control"
                  [(ngModel)]="currentSearch"
                  id="currentSearch"
                  name="currentSearch"
                  placeholder="Please Insert BPB Number"
                />
                <button
                  class="input-group-addon btn btn-info flat-style-button"
                  (click)="searchNew(currentSearch)"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-search"></span>
                </button>
                <button
                  class="input-group-addon btn btn-danger flat-style-button"
                  (click)="clear()"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-trash-o"></span>
                </button>
              </div>
            </form>
            <br />

        <p-dataTable
          *ngIf = "iduser === 1"
          [value]="newBPB1"
          [(selection)]="selected"
          [editable]="true"
          [rows]="itemsPerPage"
          [headerCheckboxToggleAllPages]="true"
          [paginator]="true"
          [pageLinks]="5"
          [rowsPerPageOptions]="[10,15,20]"
          [totalRecords]="totalItemsNew1"
          [responsive]="true"
          [lazy]="true"
          [(first)]="first"
          row="itemsPerPage"
          totalRecords="totalItemsNew1"
          dataKey="no_bpb"
          expandableRows="false"
          rowHover="true"
          (onLazyLoad)="loadDataLazy($event)">
          <p-header>
            <div class="d-flex flex-row-reverse">
                <div class="nav-item">
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-70 mt-2">
                                <div class="btn-filter-wrapper">
                                    <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                        <span>Approve</span>
                                    </button>
                                    &nbsp;
                                    &nbsp;
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
          </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="BPB Number">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_bpb}}
                </ng-template>
            </p-column>
            <p-column header="BPB Date">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_bpb | date:'dd/MM/yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Mutation Type">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.jns_mutasi}}
                </ng-template>
            </p-column>
            <p-column header="Receive">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.diterima}}
                </ng-template>
            </p-column>
            <p-column header="Production Type">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.jns_prod}}
                </ng-template>
            </p-column>
            <p-column header="Admin">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.iduser}}
                </ng-template>
            </p-column>
            <p-column header="Approval 1 (Kasie)">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.id_app1}}
                </ng-template>
            </p-column>
            <p-column header="Approval 2 (Supervisor)">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.id_app2}}
                </ng-template>
            </p-column>
            <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="submit"
                            (click)="lihatBPB(rowData)" 
                            icon="fa-eye" pTooltip="Preview Detail BPB"
                            class="flat-button">
                    </button>
                </ng-template>
            </p-column>
          <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
          </ng-template>
        </p-dataTable>

        <p-dataTable
          *ngIf = "iduser === 2"
          [value]="newBPB"
          [(selection)]="selected"
          [editable]="true"
          [rows]="itemsPerPage"
          [headerCheckboxToggleAllPages]="true"
          [paginator]="true"
          [pageLinks]="5"
          [rowsPerPageOptions]="[10,15,20]"
          [totalRecords]="totalItemsNew"
          [responsive]="true"
          [lazy]="true"
          [(first)]="first"
          row="itemsPerPage"
          totalRecords="totalItemsNew"
          dataKey="no_bpb"
          expandableRows="false"
          rowHover="true"
          (onLazyLoad)="loadDataLazy($event)">
          <p-header>
            <div class="d-flex flex-row-reverse">
                <div class="nav-item">
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-70 mt-2">
                                <div class="btn-filter-wrapper">
                                    <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                        <span>Approve</span>
                                    </button>
                                    &nbsp;
                                    &nbsp;
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
          </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="BPB Number">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_bpb}}
                </ng-template>
            </p-column>
            <p-column header="BPB Date">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_bpb | date:'dd/MM/yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Mutation Type">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.jns_mutasi}}
                </ng-template>
            </p-column>
            <p-column header="Receive">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.diterima}}
                </ng-template>
            </p-column>
            <p-column header="Production Type">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.jns_prod}}
                </ng-template>
            </p-column>
            <p-column header="Admin">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.iduser}}
                </ng-template>
            </p-column>
            <p-column header="Approval 1 (Kasie)">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.id_app1}}
                </ng-template>
            </p-column>
            <p-column header="Approval 2 (Supervisor)">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.id_app2}}
                </ng-template>
            </p-column>
            <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="submit"
                            (click)="lihatBPB(rowData)" 
                            icon="fa-eye" pTooltip="Preview Detail BPB"
                            class="flat-button">
                    </button>
                </ng-template>
            </p-column>
          <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
          </ng-template>
        </p-dataTable>

          </p-tabPanel>
          <p-tabPanel header="Approve">
            <form name="searchForm" class="form-inline">
              <div class="input-group w-100 mt-3">
                <input
                  type="text"
                  class="form-control"
                  [(ngModel)]="currentSearch"
                  id="currentSearch"
                  name="currentSearch"
                  placeholder="Please Insert BPB Number"
                />
                <button
                  class="input-group-addon btn btn-info flat-style-button"
                  (click)="searchApprove(currentSearch)"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-search"></span>
                </button>
                <button
                  class="input-group-addon btn btn-danger flat-style-button"
                  (click)="clear()"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-trash-o"></span>
                </button>
              </div>
            </form>
            <br />
            <p-dataTable
            *ngIf = "iduser === 2"
            [value]="approveBPB"
            [(selection)]="selected"
            [editable]="true"
            [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItemsApprove"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItemsApprove"
            dataKey="no_bpb"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)">
            <p-header>
            </p-header>
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="BPB Number">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_bpb}}
                </ng-template>
            </p-column>
            <p-column header="BPB Date">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_bpb | date:'dd/MM/yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Mutation Type">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.jns_mutasi}}
                </ng-template>
            </p-column>
            <p-column header="Receive">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.diterima}}
                </ng-template>
            </p-column>
            <p-column header="Production Type">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.jns_prod}}
                </ng-template>
            </p-column>
            <p-column header="Admin">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.iduser}}
                </ng-template>
            </p-column>
            <p-column header="Approval 1 (Kasie)">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.id_app1}}
                </ng-template>
            </p-column>
            <p-column header="Approval 2 (Supervisor)">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.id_app2}}
                </ng-template>
            </p-column>
            <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="submit"
                            (click)="lihatBPB(rowData)" 
                            icon="fa-eye" pTooltip="Preview Detail BPB"
                            class="flat-button">
                    </button>
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
          </p-dataTable>
          <p-dataTable
          *ngIf = "iduser === 1"
          [value]="approveBPB1"
          [(selection)]="selected"
          [editable]="true"
          [rows]="itemsPerPage"
          [headerCheckboxToggleAllPages]="true"
          [paginator]="true"
          [pageLinks]="5"
          [rowsPerPageOptions]="[10,15,20]"
          [totalRecords]="totalItemsApprove1"
          [responsive]="true"
          [lazy]="true"
          [(first)]="first"
          row="itemsPerPage"
          totalRecords="totalItemsApprove1"
          dataKey="no_bpb"
          expandableRows="false"
          rowHover="true"
          (onLazyLoad)="loadDataLazy($event)">
          <p-header>
          </p-header>
          <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                  {{rowIndex + 1}}
              </ng-template>
          </p-column>
          <p-column header="BPB Number">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.no_bpb}}
              </ng-template>
          </p-column>
          <p-column header="BPB Date">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.tgl_bpb | date:'dd/MM/yyyy'}}
              </ng-template>
          </p-column>
          <p-column header="Mutation Type">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.jns_mutasi}}
              </ng-template>
          </p-column>
          <p-column header="Receive">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.diterima}}
              </ng-template>
          </p-column>
          <p-column header="Production Type">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.jns_prod}}
              </ng-template>
          </p-column>
          <p-column header="Admin">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.iduser}}
              </ng-template>
          </p-column>
          <p-column header="Approval 1 (Kasie)">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.id_app1}}
              </ng-template>
          </p-column>
          <p-column header="Approval 2 (Supervisor)">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.id_app2}}
              </ng-template>
          </p-column>
          <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
              <ng-template let-rowData="rowData" pTemplate="body">
                  <button pButton type="submit"
                          (click)="lihatBPB(rowData)" 
                          icon="fa-eye" pTooltip="Preview Detail BPB"
                          class="flat-button">
                  </button>
              </ng-template>
          </p-column>
          <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
          </ng-template>
        </p-dataTable>
          </p-tabPanel>
        </p-tabView>
      </div>
    </div>
  </div>
  <div style="margin-top: 10px"></div>
  <p-dialog header="Detail BPB" [(visible)]="modalLihatBPB" modal="true" [width]="1000">
    <form name="lihatpo" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="detailBPB" [editable]="true" [rows]="itemsPerPage" [paginator]="false"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="no_bpb" expandableRows="true"
                rowHover="true" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
                <p-header>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Product Code">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kd_group}} {{rowData.kd_produk}}
                    </ng-template>
                </p-column>
                <p-column header="Product Name">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nm_produk}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column>
                <p-column header="Unit">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.satuan}}
                    </ng-template>
                </p-column>
                <p-column header="Batch Number">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_batch}}
                    </ng-template>
                </p-column>
                <p-column header="Palet">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_palet}}
                    </ng-template>
                </p-column>
                <p-column header="Detail Batch">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_prod}}
                    </ng-template>
                </p-column>
                <p-column header="Exp Date">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_ub | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Palet Date">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_palet | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
</p-dialog>